This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 11206 - taskbar & gnome apps fail to display for user with high uid.
taskbar & gnome apps fail to display for user with high uid.
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: enlightenment (Show other bugs)
6.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-05-03 14:27 EDT by dudek
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-05-17 06:15:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description dudek 2000-05-03 14:27:45 EDT
I created a user account for myself, and I wanted to use the same uid that
I use on our Sun Solaris cluster, which is 5289.  When I logged in through
gdm, I would see the "Enlightenment starting" progress bar.  Then I would
see the desktop and my mouse cursor, but nothing else.  The taskbar,
gnome-help-browser and gnome-filemanager apps did not show up.

I resolved the problem by dropping the uid of my user account down to 500.
Yes, I was very careful to chown -R files in the user directory over when
I changed the uid, so that does not appear to be the problem.
Comment 1 p.jenner 2000-05-17 06:15:59 EDT
I use gnome-session (which brings up ghelp and gmc) successfully with a UID of
14881 (above the 5289 indicated in the bug report above) which is supplied via
NIS from a Sun Solaris network.  Thus I can confirm there is no problem with a
NIS UID as high as 14881 starting gnome-session on Red hat 6.2.

I hope this helps narrow it down.
Comment 2 Havoc Pennington 2000-06-19 15:19:58 EDT
I can't get this to happen; maybe send .xsession-errors, maybe it shows why the
login fails for this user?

Note You need to log in before you can comment on or make changes to this bug.